%function [] = doit() 
%% Esercitazione MATLAB TTR - 2/10/2013 - Ripasso avanzato MATLAB
% profile on

clear all;
close all;
clc;

% Capire come funzionano le figure.
A = imread('cameraman.tif');
h1=figure; 
set(h1,'name','Immagine di una persona (imagesc)');
imagesc(A); colormap gray; colorbar

a1 = gca;
set(a1,'FontSize',12);

fs = get(a1,'FontSize');

%comando whos
%dbstop if error


% Usare help in line di Matlab, http://www.mathworks.it/it/help/, http://www.mathworks.com/matlabcentral/fileexchange/

mu1=[1,1,1]';
cov1=eye(3);
B = mvnrnd(mu1,cov1,50);% Campionatura da una Gaussiana 3D
h3=figure; 
set(h3,'name','scatter 3');
scatter3(B(:,1),B(:,2),B(:,3));


% subplot
h4 = figure;
set(h4,'name','subplot');
subplot(2,2,1)
scatter3(B(:,1),B(:,2),B(:,3));
subplot(2,2,2)
imagesc(A);

% profile viewer
% profile clear

C = normrnd(0,1,100,1);
y = ones(100,1);
h5 = figure;
set(h5,'name','scatter di Gaussian 1D');
scatter(C,y);

pdf = normpdf(C,0,1);
hold on
scatter(C,pdf+1,'r')


%Argomenti svolti in aula: analisi ambiente grafico "figure", analisi
%ambiente debugging (dbstop if ... etc), analisi ambiente profile e
%controllo codice automatico

% comandi importanti:
% CTRL + r, t
% CTRL + i


